View Issue Details

IDProjectCategoryView StatusLast Update
0004199SymmetricDSBugpublic2020-01-02 09:42
Reporterelong Assigned Toelong  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.2 
Target Version3.11.3Fixed in Version3.11.3 
Summary0004199: NPE loading batch with JdbcBatchBulkDatabaseWriter data loader "bulk"
DescriptionWhen the channel is set to data loader of "bulk" and the database platform has no native bulk loader (like H2 database), it will use the JdbcBatchBulkDatabaseWriter for bulk loading, which gets a NullPointerException.

ERROR [ManageIncomingBatchListener] [store-dataloader-2] An error caused a batch to fail without attempting to load data for batch 00000-213196 StackTraceKey.init [NullPointerException:771570369]
java.lang.NullPointerException
    at org.jumpmind.symmetric.load.AbstractDataLoaderFactory.buildParameterDatabaseWritterSettings(AbstractDataLoaderFactory.java:14)
    at org.jumpmind.symmetric.ext.BulkDataLoaderFactory.getDataWriter(BulkDataLoaderFactory.java:78)
    at org.jumpmind.symmetric.service.impl.DataLoaderService.buildDataWriter(DataLoaderService.java:762)
    at org.jumpmind.symmetric.service.impl.DataLoaderService$LoadIntoDatabaseOnArrivalListener$2$1.chooseDataWriter(DataLoaderService.java:1077)
    at org.jumpmind.symmetric.io.data.DataProcessor.process(DataProcessor.java:102)
    at org.jumpmind.symmetric.service.impl.DataLoaderService$LoadIntoDatabaseOnArrivalListener$2.call(DataLoaderService.java:1080)
    at org.jumpmind.symmetric.service.impl.DataLoaderService$LoadIntoDatabaseOnArrivalListener$2.call(DataLoaderService.java:1057)
    at java.util.concurrent.FutureTask.run(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
    at java.lang.Thread.run(Unknown Source)
TagsNo tags attached.

Relationships

related to 0004198 closedelong NPE loading batch with JdbcBatchBulkDatabaseWriter data loader "bulk" 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2019-12-11 19:00 elong New Issue
2019-12-11 19:00 elong Status new => assigned
2019-12-11 19:00 elong Assigned To => elong
2019-12-11 19:00 elong Issue generated from: 0004198
2019-12-11 19:00 elong Relationship added related to 0004198
2019-12-12 07:29 elong Status assigned => resolved
2019-12-12 07:29 elong Resolution open => fixed
2019-12-12 07:29 elong Fixed in Version => 3.11.3
2020-01-02 09:42 admin Status resolved => closed